package fileIO.textures.worldgen;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class FlowerTextures {

	public static void getTextures(BufferedImage image) {
		Textures.flowerSheet[0] = Utils.grabSprite(image, 1, 1, 23, 8);
		Textures.flowerSheet[1] = Utils.grabSprite(image, 2, 1, 23, 8);
		Textures.flowerSheet[2] = Utils.grabSprite(image, 3, 1, 23, 8);
		Textures.flowerSheet[3] = Utils.grabSprite(image, 4, 1, 23, 8);
		Textures.flowerSheet[4] = Utils.grabSprite(image, 5, 1, 23, 8);
		Textures.flowerSheet[5] = Utils.grabSprite(image, 6, 1, 23, 8);
		Textures.flowerSheet[6] = Utils.grabSprite(image, 7, 1, 23, 8);
		Textures.flowerSheet[7] = Utils.grabSprite(image, 8, 1, 23, 8);
		Textures.flowerSheet[8] = Utils.grabSprite(image, 1, 2, 23, 8);
		Textures.flowerSheet[9] = Utils.grabSprite(image, 2, 2, 23, 8);
		Textures.flowerSheet[10] = Utils.grabSprite(image, 3, 2, 23, 8);
		Textures.flowerSheet[11] = Utils.grabSprite(image, 4, 2, 23, 8);
		Textures.flowerSheet[12] = Utils.grabSprite(image, 5, 2, 23, 8);
		Textures.flowerSheet[13] = Utils.grabSprite(image, 6, 2, 23, 8);
		Textures.flowerSheet[14] = Utils.grabSprite(image, 7, 2, 23, 8);
		Textures.flowerSheet[15] = Utils.grabSprite(image, 8, 2, 23, 8);
	}
}
